#
# spec file for package python-flake8-quotes
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
# Tests require access to stdin
%bcond_with     test
Name:           python-flake8-quotes
Version:        1.0.0
Release:        3.1
Summary:        Flake8 lint for quotes
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/zheller/flake8-quotes/
Source:         https://files.pythonhosted.org/packages/source/f/flake8-quotes/flake8-quotes-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module flake8}
%endif
Requires:       python-flake8
BuildArch:      noarch

%python_subpackages

%description
Flake8 Extension to lint for quotes.

%prep
%setup -q -n flake8-quotes-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Wed May  9 2018 toddrme2178@gmail.com
- Update to version 1.0.0
  * Docstring detection
  * requirements-dev: remove tox
  * Remove trailing dot from checker messages
* Tue Feb 20 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.13.1:
  * Added a note about escaping quotes in the doc (#68)
* Sat Dec  9 2017 arun@gmx.de
- update to version 0.13.0:
  * Moved to twine for upload (#62)
  * Run Travis tests on Python 3.4-3.6 (#63)
* Sun Dec  3 2017 arun@gmx.de
- specfile:
  * changed from zip to tar.gz
- update to version 0.12.1:
  * Add a framework classifier (#61)
    Warehouse (pypi.org) allows search results to be filtered by trove
    classifiers.  One such classifier is `Framework`, which accepts
    `Flake8` as a value. Setting the classifier should help people
    find flake8-comprehensions when searching for flake8 plugins.
* Wed Oct 18 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to 0.12.0
  * No changelog
* Mon Mar 24 2014 toddrme2178@gmail.com
- Initial version
